
package rition.common.data.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MetricDataDto {

    private List<MetricData> dataList;

    /**
     * 指标数据
     */
    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class MetricData {
        /**
         * 指标名
         */
        private String metric;

        /**
         * 数据标签
         */
        private Map<String, String> tags;

        /**
         * 时间戳
         */
        private Long timestamp;

        /**
         * 值
         */
        private String value;
    }
}
